package com.qmth.eds;

import com.qmth.eds.entity.ExamSyncStudent;
import com.qmth.eds.entity.ExamSyncStudentTemp;
import com.qmth.eds.job.service.JobService;
import com.qmth.eds.util.ServletUtil;
import com.qmth.eds.util.WuhanUniversityUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 武汉大学测试类
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class WhuTest {

    @Resource
    WuhanUniversityUtils wuhanUniversityUtils;

    @Resource
    JobService jobService;

    @Test
    public void test() {
        String token = wuhanUniversityUtils.getAccessToken();

        List<ExamSyncStudentTemp> kwData = wuhanUniversityUtils.getKwData(token);
        System.out.println(kwData);

    }

    @Test
    public void testKw(){
        jobService.getExamData();
    }

}
