package com.qmth.eds.api;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.eds.service.ExamTypeService;
import com.qmth.eds.util.Result;
import com.qmth.eds.util.ResultUtil;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/exam_type")
@Aac(auth = BOOL.FALSE)
public class ExamTypeController {

    @Resource
    private ExamTypeService examTypeService;

    /**
     * 查询
     */
    @ApiOperation(value = "查询")
    @PostMapping("/list")
    public Result list() {
        return ResultUtil.ok(examTypeService.list());
    }

}
