package com.qmth.eds.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.eds.bean.dto.ExamDownloadRecordDto;
import com.qmth.eds.entity.ExamDownloadRecord;
import org.apache.ibatis.annotations.Param;

/**
 * 用户下载记录表 Mapper 接口
 */
public interface ExamDownloadRecordMapper extends BaseMapper<ExamDownloadRecord> {
    IPage<ExamDownloadRecordDto> list(@Param("page") Page<ExamDownloadRecordDto> page, @Param("operateDate") Long operateDate, @Param("used") Boolean used, @Param("useScene") String useScene);
}
